## org.eclipse.jetty.io
Class SimpleBuffers

    java.lang.Object
      org.eclipse.jetty.io.SimpleBuffers

All Implemented Interfaces:
  Buffers

    public class SimpleBuffers

extends java.lang.Object
implements Buffers

SimpleBuffers. Simple implementation of Buffers holder.

Constructor Summary
`SimpleBuffers(Buffer header, Buffer buffer)`

Method Summary
`Buffer` `getBuffer()`
`Buffer` `getBuffer(int size)`
`Buffer` `getHeader()`
`void` `returnBuffer(Buffer buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleBuffers

    public SimpleBuffers(Buffer header,
                         Buffer buffer)

Method Detail

### getBuffer

    public Buffer getBuffer()

  Specified by:
    `getBuffer` in interface `Buffers`

### getHeader

    public Buffer getHeader()

  Specified by:
    `getHeader` in interface `Buffers`

### getBuffer

    public Buffer getBuffer(int size)

  Specified by:
    `getBuffer` in interface `Buffers`

### returnBuffer

    public void returnBuffer(Buffer buffer)

  Specified by:
    `returnBuffer` in interface `Buffers`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.